### Constructor

# GimpUi FileChooser new

since: 3.0

#### Declaration [src]

    GtkWidget*
    gimp_file_chooser_new (
      GimpFileChooserAction action,
      const gchar* label,
      const gchar* title,
      GFile* file
    )

#### Description [src]

Creates a new `GtkWidget` that lets a user choose a file according to `action`.

`GIMP_FILE_CHOOSER_ACTION_ANY` is not a valid value for `action`.

Available since: 3.0

#### Parameters

`action`

  Type: `GimpFileChooserAction`

  The action determining the UI created for this widget.

`label`

  Type: `const gchar*`

  Label or `NULL` for no label.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const gchar*`

  Title of the dialog to use or `NULL` to reuse `label`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `GFile`

  Initial file.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A `GimpFileChooser`.

The data is owned by the called function.